# Uses of Interface
org.eclipse.jdt.debug.core.IJavaReferenceType

Packages that use IJavaReferenceType
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).
org.eclipse.jdt.debug.eval
Provides a set classes and interfaces that support evaluations in the Java debugger.

## Uses of IJavaReferenceType in org.eclipse.jdt.debug.core

Subinterfaces of IJavaReferenceType in org.eclipse.jdt.debug.core
Modifier and Type
Interface
Description
`interface`
`IJavaArrayType`
The type of an array on a Java debug target.
`interface`
`IJavaClassType`
The class of an object on a Java debug target.
`interface`
`IJavaInterfaceType`
An interface an object implements on a Java debug target.
Methods in org.eclipse.jdt.debug.core that return IJavaReferenceType
Modifier and Type
Method
Description
`IJavaReferenceType`
IJavaFieldVariable.`getReceivingType()`
Returns the type that contains this field variable.
`IJavaReferenceType`
IJavaStackFrame.`getReferenceType()`
Returns the type in which this stack frame's method is declared.

## Uses of IJavaReferenceType in org.eclipse.jdt.debug.eval

Methods in org.eclipse.jdt.debug.eval with parameters of type IJavaReferenceType
Modifier and Type
Method
Description
`ICompiledExpression`
IAstEvaluationEngine.`getCompiledExpression(String expression, IJavaReferenceType type)`
Synchronously generates a compiled expression from the given expression in the context of the specified type.
`ICompiledExpression`
IAstEvaluationEngine.`getCompiledExpression(String expression, IJavaReferenceType type, Map<String,String> compileOptions)`
Synchronously generates a compiled expression from the given expression in the context of the specified type.